Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 880672 - make sure default settings work with gnome-shell
Summary: make sure default settings work with gnome-shell
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: 18
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Aillon (sabbatical, not receiving bugmail)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 15:14 UTC by Debarshi Ray
Modified: 2012-12-06 07:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-06 07:23:59 UTC
Type: Bug


Attachments (Terms of Use)
Make sure default settings work with gnome-shell (4.04 KB, patch)
2012-11-27 15:29 UTC, Debarshi Ray
no flags Details | Diff

Description Debarshi Ray 2012-11-27 15:14:07 UTC
Most importantly, xchat should not use a statusicon, since the gnome-shell support for statusicons is not great. Clicking on it makes xchat 'disappear', and right clicking the status icon leads to a floating popup menu.

We should also make sure that the 'tray balloons' settings make sense with gnome-shell notifications.

Comment 1 Debarshi Ray 2012-11-27 15:29:00 UTC
Created attachment 652823 [details]
Make sure default settings work with gnome-shell

* Turns on the balloons for hilighted and private messages so that they result in gnome-shell notifications.

* Turn off the "Minimize to tray" button which is shown if the X button is clicked. Interestingly, this button was not shown when clicking XChat->Quit or Ctrl+Q. Therefore getting rid of it from the X button should not be that big of an issue. If KDE / XFCE / LXDE people don't like it, then they can come with a setting / preference to toggle this.

Comment 2 Matthias Clasen 2012-11-27 15:33:22 UTC
the patch looks good to me

Comment 3 Fedora Update System 2012-11-27 16:06:57 UTC
xchat-2.8.8-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xchat-2.8.8-16.fc18

Comment 4 Fedora Update System 2012-11-28 02:07:06 UTC
Package xchat-2.8.8-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xchat-2.8.8-16.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19153/xchat-2.8.8-16.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-12-06 07:24:01 UTC
xchat-2.8.8-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.